Normalizer
Normalizer::normalize
Normalizer
PHP Manual

# Normalizer::isNormalized

# normalizer_is_normalized

Checks if the provided string is already in the specified normalization form.

### Description

Object oriented style

public static bool Normalizer::isNormalized ( string `$input` [, string `$form` = Normalizer::FORM_C ] )

Procedural style

bool normalizer_is_normalized ( string `$input` [, string `$form` = Normalizer::FORM_C ] )

Checks if the provided string is already in the specified normalization form.

### Parameters

`input`

  The input string to normalize

`form`

  One of the normalization forms.

### Return Values

`TRUE` if normalized, `FALSE` otherwise or if there an error

### Examples

Example #1 normalizer_is_normalized example

`<?php
$char_A_ring = "\xC3\x85"; // 'LATIN CAPITAL LETTER A WITH RING ABOVE' (U+00C5)
$char_combining_ring_above = "\xCC\x8A"; // 'COMBINING RING ABOVE' (U+030A)
$char_orig = 'A' . $char_combining_ring_above;
$char_norm = normalizer_normalize( 'A' . $char_combining_ring_above, Normalizer::FORM_C );
echo ( normalizer_is_normalized($char_orig, Normalizer::FORM_C) ) ? "normalized" : "not normalized";
echo '; ';
echo ( normalizer_is_normalized($char_norm, Normalizer::FORM_C) ) ? "normalized" : "not normalized";
?>`

Example #2 OO example

`<?php
$char_A_ring = "\xC3\x85"; // 'LATIN CAPITAL LETTER A WITH RING ABOVE' (U+00C5)
$char_combining_ring_above = "\xCC\x8A"; // 'COMBINING RING ABOVE' (U+030A)
$char_orig = 'A' . $char_combining_ring_above;
$char_norm = Normalizer::normalize( 'A' . $char_combining_ring_above, Normalizer::FORM_C );
echo ( Normalizer::isNormalized($char_orig, Normalizer::FORM_C) ) ? "normalized" : "not normalized";
echo '; ';
echo ( Normalizer::isNormalized($char_norm, Normalizer::FORM_C) ) ? "normalized" : "not normalized";
?>`

The above example will output:

    not normalized; normalized

### See Also

- normalizer_normalize